# wcspbrk

From cppreference.com
< c‎ | string‎ | wide

Defined in header `<wchar.h>` |  |
wchar_t* wcspbrk( const wchar_t* dest, const wchar_t* str ); |  | (since C95)

Finds the first character in wide string pointed to by `dest`, that is also in wide string pointed to by `str`.

### Parameters

dest | - | pointer to the null-terminated wide string to be analyzed
src | - | pointer to the null-terminated wide string that contains the characters to search for

### Return value

Pointer to the first character in `dest`, that is also in `str`, or NULL if no such character exists.

### Example

| This section is incomplete Reason: no example

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.29.4.5.3 The wcspbrk function (p: 436)

- C99 standard (ISO/IEC 9899:1999):

  - 7.24.4.5.3 The wcspbrk function (p: 382)

### See also

wcscspn (C95) | returns the length of the maximum initial segment that consists of only the wide chars not found in another wide string (function)
wcschr (C95) | finds the first occurrence of a wide character in a wide string (function)
C++ documentation for wcspbrk

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=c/string/wide/wcspbrk&oldid=76877"
Category:

- Todo no example